{
  num: -21011,
  accuracy: true,
  basePower: 195,
  category: "Special",
  isNonstandard: "Past",
  name: "Astral Burst",
  pp: 1,
  priority: 0,
  flags: { protect: 1, mirror: 1 },
  isZ: "astralmemoryz",

  onHit(target, source, move) {
    if (!target || target.fainted) return;
    target.addVolatile("astralburst", source);
  },

  condition: {
    onStart(pokemon) {
      this.add("-start", pokemon, "Astral Binds");
    },
    onBeforeMovePriority: 12,
    onBeforeMove(pokemon, target, move) {
      if (!move || !move.isZ) return;
      this.add("cant", pokemon, "Astral Binds", move);
      pokemon.removeVolatile("astralburst");
      return false;
    },
    onEnd(pokemon) {
      this.add("-end", pokemon, "Astral Binds");
    }
  },

  secondary: null,
  target: "normal",
  type: "Normal",
  contestType: "Beautiful"
}
